"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.contextInjectionMiddleware = void 0;
const invoker_1 = require("../invoker");
const contextInjectionMiddleware = () => {
    return async (ctx, next) => {
        const httpEvent = {
            url: ctx.URL.toString(),
            httpMethod: ctx.method,
            headers: (0, invoker_1.withoutAllContextHeaders)(ctx.headers)
        };
        ctx.state.eventType = 'http';
        ctx.state.timestamp = new Date().toISOString();
        ctx.httpContext = httpEvent;
        ctx.extendedContext = (0, invoker_1.extractFunctionsExtendedContextFromHeader)(ctx.headers);
        await next();
    };
};
exports.contextInjectionMiddleware = contextInjectionMiddleware;
//# sourceMappingURL=context.js.map